#!/bin/bash

# On Docker for Linux, the IP address of the gateway between
# the Docker host and the bridge network is 172.17.0.1
# if you are using default networking
IPADDRESS=$(ip -4 -o address | grep eth0 | cut -d/ -f1 | awk {'print $4'})

sudo -u tor tor -f /anarres/torrc.config &
dnsmasq --conf-file=/anarres/dnsmasq.config --listen-address=$IPADDRESS --no-daemon